[API Reference](../README.md) > [GenesisDaoCreator](../classes/GenesisDaoCreator.md)

# Class: GenesisDaoCreator

Migration callback

## Hierarchy

**GenesisDaoCreator**

## Index

### Constructors

* [constructor](GenesisDaoCreator.md#constructor)

### Methods

* [run](GenesisDaoCreator.md#run)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new GenesisDaoCreator**(web3: *`Web3`*): [GenesisDaoCreator](GenesisDaoCreator.md)

*Defined in scripts/createGenesisDao.ts:26*

**Parameters:**

| Param | Type |
| ------ | ------ |
| web3 | `Web3` |

**Returns:** [GenesisDaoCreator](GenesisDaoCreator.md)

___

## Methods

<a id="run"></a>

###  run

▸ **run**(): `Promise`<`void`>

*Defined in scripts/createGenesisDao.ts:32*

**Returns:** `Promise`<`void`>

___

